package com.inspect.base.core.enums;

/**
 * @author WGY
 * resultType分析结果: 0-缺陷 1-正常 2-异常
 * @create 2026-03-27 15:51
 **/
public enum ResultTypeEnum {
    DEFECT("0", "缺陷"),
    NORMAL("1", "正常"),
    ABNORMAL("2", "异常");

    private final String code;
    private final String info;

    ResultTypeEnum(String code, String info) {
        this.code = code;
        this.info = info;
    }

    public String getCode() {
        return this.code;
    }

    public String getInfo() {
        return this.info;
    }
}
